MWAWGraphicParser Class Reference documentation

MWAWGraphicParser Class Referenceabstract

virtual class which defines the ancestor of all graphic zone parser More...

`#include <MWAWParser.hxx>`

Inheritance diagram for MWAWGraphicParser:

## Public Member Functions
| ~MWAWGraphicParser () override
| destructor
virtual void | parse (librevenge::RVNGDrawingInterface *documentInterface)=0
| virtual function used to parse the input
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
virtual bool | checkHeader (MWAWHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not)
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Detailed Description

virtual class which defines the ancestor of all graphic zone parser

## Constructor & Destructor Documentation

## ◆ ~MWAWGraphicParser()

MWAWGraphicParser::~MWAWGraphicParser | ( |  | ) |
| override

destructor

## ◆ MWAWGraphicParser() [1/2]

MWAWGraphicParser::MWAWGraphicParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )
| inlineprotected

constructor (protected)

Referenced by ApplePictParser::ApplePictParser(), BeagleWksBMParser::BeagleWksBMParser(), BeagleWksDRParser::BeagleWksDRParser(), Canvas5BMParser::Canvas5BMParser(), Canvas5Parser::Canvas5Parser(), CanvasParser::CanvasParser(), ClarisDrawParser::ClarisDrawParser(), ClarisWksBMParser::ClarisWksBMParser(), CorelPainterParser::CorelPainterParser(), CricketDrawParser::CricketDrawParser(), DrawTableParser::DrawTableParser(), FreeHandParser::FreeHandParser(), GreatWksBMParser::GreatWksBMParser(), GreatWksDRParser::GreatWksDRParser(), MacDraft5Parser::MacDraft5Parser(), MacDraftParser::MacDraftParser(), MacDrawParser::MacDrawParser(), MacDrawProParser::MacDrawProParser(), MacPaintParser::MacPaintParser(), MsWksDRParser::MsWksDRParser(), PixelPaintParser::PixelPaintParser(), ReadySetGoParser::ReadySetGoParser(), ScoopParser::ScoopParser(), SpringBoardParser::SpringBoardParser(), and SuperPaintParser::SuperPaintParser().

## ◆ MWAWGraphicParser() [2/2]

MWAWGraphicParser::MWAWGraphicParser | ( | MWAWParserStatePtr const & | state | ) |
| inlineexplicitprotected

constructor using a state

## Member Function Documentation

## ◆ parse()

virtual void MWAWGraphicParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| pure virtual

virtual function used to parse the input

Implemented in ApplePictParser, BeagleWksBMParser, BeagleWksDRParser, Canvas5BMParser, Canvas5Parser, CanvasParser, ClarisDrawParser, ClarisWksBMParser, CorelPainterParser, CricketDrawParser, DrawTableParser, FreeHandParser, GreatWksBMParser, GreatWksDRParser, MacDraft5Parser, MacDraftParser, MacDrawParser, MacDrawProParser, MacPaintParser, MsWksDRParser, PixelPaintParser, ReadySetGoParser, ScoopParser, SpringBoardParser, and SuperPaintParser.

The documentation for this class was generated from the following files:

- MWAWParser.hxx
- MWAWParser.cxx